﻿* Encoding: UTF-8.
***Aufbereitung Downsides of Self-Regulation Daten.

**Exclusion of participants.
*Did not complete questionnaire (left before finishing page 15; last question: are you a student? BD13_05; XXX cases).
select if not missing (bd13_05).
exe.

*Exclude test runs: Test runs can be identified by the word "test" in variable UE01_01 (7 cases).
select if not (UE01_01 = 'test').
select if not (UE01_01 = 'Test').
exe.

*Exclude people who check the same answer for all Items.
*adjectives (2 cases).
select if not SD(
FS02_01	,FS02_02	,FS02_03	,FS02_04	,FS02_05	,FS02_06	,
FS02_07	,FS02_08	,FS02_09	,FS02_10	,FS02_11	,FS02_12	,FS02_13	,FS02_14	,FS02_15	,FS02_16	,FS02_17	,FS02_18	,FS02_19	,FS02_20	,FS02_21	,FS02_22	,FS03_01	,FS03_02	,FS03_03	,FS03_04	,FS03_05	,
FS03_06	,FS03_07	,FS03_08	,FS03_09	,FS03_10	,FS03_11	,FS03_12	,FS03_13	,FS03_14	,FS03_15	,FS03_16	,FS03_17	,FS03_18	,FS03_19	,FS03_20	,FS03_21	,FS03_22	,FS04_01	,FS04_02	,FS04_03	,FS04_04	,
FS04_05	,FS04_06	,FS04_07	,FS04_08	,FS04_09	,FS04_10	,FS04_11	,FS04_12	,FS04_13	,FS04_14	,FS04_15	,FS04_16	,FS04_17	,FS04_18	,FS04_19	,FS04_20	,FS04_21	,FS04_22,FJ02_01	,FJ02_02	,FJ02_03	,
FJ02_04	,FJ02_05	,FJ02_06	,FJ02_07	,FJ02_08	,FJ02_09	,FJ02_10	,FJ02_11	,FJ02_12	,FJ02_13	,FJ02_14	,FJ02_15	,FJ02_16	,FJ02_17	,FJ02_18	,FJ02_19	,FJ02_20	,FJ02_21	,FJ02_22	,FJ03_01	,FJ03_02	,
FJ03_03	,FJ03_04	,FJ03_05	,FJ03_06	,FJ03_07	,FJ03_08	,FJ03_09	,FJ03_10	,FJ03_11	,FJ03_12	,FJ03_13	,FJ03_14	,FJ03_15	,FJ03_16	,FJ03_17	,FJ03_18	,FJ03_19	,FJ03_20	,FJ03_21	,FJ03_22	,fJ04_01	,
FJ04_02	,FJ04_03	,FJ04_04	,FJ04_05	,FJ04_06	,FJ04_07	,FJ04_08	,FJ04_09	,FJ04_10	,FJ04_11	,FJ04_12	,FJ04_13	,FJ04_14	,FJ04_15	,FJ04_16	,FJ04_17	,FJ04_18	,FJ04_19	,FJ04_20	, fJ04_21	,FJ04_22	)=0.
exe.


***Processing data for analyses.
* In ihrer Reihenfolge variierten Sarah und Jan (FB 1-4 zuerst Sarah; FB 5-8 zuerst Jan).
* In der Selbstkontrolle variierten die 8 FB nach dem System (erste Person): h n n h n h h n (zweite person immer das gegenteil).
* In der verwendung der items variierten die 8 fb nach dem system (erste person): a b a b b a b a (letzte vier sind zu jan, der ja außerdem noch anders war bzgl. hobbies und wohnort und geschlecht; zweite person immer die jeweils anderen items).

*duty items: 1, 4, 6, 7, 8.
*sociality items: 2, 3, 5 ,9 ,10.

**Compute mean duty score for all Sarahs (high as well as low self-controlled vignettes).
compute duty_sarah =           mean(ss01_01, ss01_04, ss01_06, ss01_07, ss01_08).
compute duty_jan =               mean(sj01_01, sj01_04, sj01_06, sj01_07, sj01_08).
compute sociality_sarah =     mean(ss01_02, ss01_03, ss01_05, ss01_09, ss01_10).
compute sociality_jan =         mean(sj01_02, sj01_03, sj01_05, sj01_09, sj01_10).
exe.


*We need values in separate variables for high self-controlled and low self-controlled vignettes; depending on the questionnaire number, these can be ratings of sarah or jan.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) Dut_HSK=duty_sarah.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) Dut_HSK=duty_jan.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) Dut_NSK=duty_sarah.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) Dut_NSK=duty_jan.
exe.

IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) Soc_HSK=sociality_sarah.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) soc_HSK=sociality_jan.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) soc_NSK=sociality_sarah.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) soc_NSK=sociality_jan.
exe. 

** Sample description.
freq bd01.
alter type bd03_01 (f6.3).
recode bd03_01 (100 thru highest = SYSMIS) (else = copy) into age.
des age.


**Manipulation checks.
*Sarah: FS03_11.
*Jan: FJ03_11.
*Werte für High Self-Control und Low Self-Control berechnen.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) MC_HSK = FS03_11.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) MC_HSK = FJ03_11.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) MC_NSK = FJ03_11.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) MC_NSK = FS03_11.
exe.

*Compare means.
T-TEST PAIRS=MC_HSK WITH MC_NSK (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.
* cohens dz = 2.85965/1.20209 = 2.3790765391.

**Reliability.
*B-SCS.
compute ES01_02r = 6 - ES01_02.
compute ES01_03r = 6 - ES01_03.
compute ES01_04r = 6 - ES01_04.
compute ES01_05r = 6 - ES01_05.
compute ES01_06r = 6 - ES01_06.
compute ES01_07r = 6 - ES01_07.
compute ES01_08r = 6 - ES01_08.
compute ES01_10r = 6 - ES01_10.
compute ES01_11r = 6 - ES01_11.

  RELIABILITY
  /VARIABLES=  ES01_01 ES01_02r ES01_03r
ES01_04r ES01_05r ES01_06r ES01_07r
ES01_08r ES01_09 ES01_10r ES01_11r
ES01_12 ES01_13
  /SCALE('ALL VARIABLES') ALL.

* Reliability for  duty ratings.
 *Sarah.
  RELIABILITY
  /VARIABLES=  ss01_01 ss01_04 ss01_06 ss01_07 ss01_08
  /SCALE('ALL VARIABLES') ALL.
 *Jan.
  RELIABILITY
  /VARIABLES=  sj01_01 sj01_04 sj01_06 sj01_07 sj01_08
  /SCALE('ALL VARIABLES') ALL.
* Reliability for  social ratings.
*Sarah.
  RELIABILITY
  /VARIABLES=  ss01_02 ss01_03 ss01_05 ss01_09 ss01_10
  /SCALE('ALL VARIABLES') ALL.
*Jan.
  RELIABILITY
  /VARIABLES=  sj01_02 sj01_03 sj01_05 sj01_09 sj01_10
  /SCALE('ALL VARIABLES') ALL.



**Reliability for interpersonal adjective scales.
*PA Jan.
  RELIABILITY
  /VARIABLES=  FJ02_01 FJ02_02 FJ02_03 FJ02_04 FJ02_05 FJ02_06 FJ02_07 FJ02_08
  /SCALE('ALL VARIABLES') ALL.
compute pa_jan = mean(FJ02_01, FJ02_02 ,FJ02_03 ,FJ02_04 ,FJ02_05 ,FJ02_06 ,FJ02_07 ,FJ02_08).
*PA Sarah.
  RELIABILITY
  /VARIABLES= FS02_01 Fs02_02 Fs02_03 Fs02_04 Fs02_05 Fs02_06 Fs02_07 Fs02_08
  /SCALE('ALL VARIABLES') ALL.
compute pa_sarah = mean(FS02_01 ,Fs02_02 ,Fs02_03 ,Fs02_04 ,Fs02_05 ,Fs02_06 ,Fs02_07 ,Fs02_08).

*BC Jan.
  RELIABILITY
  /VARIABLES= FJ02_09 FJ02_10 FJ02_11 FJ02_12 FJ02_13 FJ02_14 FJ02_15 FJ02_16
  /SCALE('ALL VARIABLES') ALL.
compute bc_jan = mean( FJ02_09, FJ02_10 ,FJ02_11 ,FJ02_12 ,FJ02_13 ,FJ02_14 ,FJ02_15 ,FJ02_16).
*BC Sarah.
  RELIABILITY
  /VARIABLES= Fs02_09 Fs02_10 Fs02_11 Fs02_12 Fs02_13 fs02_14 Fs02_15  Fs02_16
  /SCALE('ALL VARIABLES') ALL.
compute bc_sarah = mean( Fs02_09 ,Fs02_10 ,Fs02_11 ,Fs02_12 ,Fs02_13 ,fs02_14 ,Fs02_15  ,Fs02_16).

*DE Jan.
  RELIABILITY
  /VARIABLES=  
FJ02_17
FJ02_18
FJ02_19
FJ02_20
FJ02_21
FJ02_22
FJ03_01
FJ03_02
  /SCALE('ALL VARIABLES') ALL.
compute de_jan = mean(FJ02_17,
FJ02_18,
FJ02_19,
FJ02_20,
FJ02_21,
FJ02_22,
FJ03_01,
FJ03_02).

*DE Sarah.
  RELIABILITY
  /VARIABLES= 
Fs02_17
Fs02_18
Fs02_19
Fs02_20
Fs02_21
Fs02_22
Fs03_01
Fs03_02
  /SCALE('ALL VARIABLES') ALL.
compute de_sarah = mean(Fs02_17,
Fs02_18,
Fs02_19,
Fs02_20,
Fs02_21,
Fs02_22,
Fs03_01,
Fs03_02).

*FG Jan.
  RELIABILITY
  /VARIABLES= 
FJ03_03
FJ03_04
FJ03_05
FJ03_06
FJ03_07
FJ03_08
FJ03_09
FJ03_10
  /SCALE('ALL VARIABLES') ALL.
compute fg_jan = mean(FJ03_03,
FJ03_04,
FJ03_05,
FJ03_06,
FJ03_07,
FJ03_08,
FJ03_09,
FJ03_10).

*FG Sarah.
  RELIABILITY
  /VARIABLES= Fs03_03
Fs03_04
Fs03_05
Fs03_06
Fs03_07
Fs03_08
Fs03_09
Fs03_10
  /SCALE('ALL VARIABLES') ALL.
compute fg_sarah = mean( Fs03_03,
Fs03_04,
Fs03_05,
Fs03_06,
Fs03_07,
Fs03_08,
Fs03_09,
Fs03_10).

*HI Jan.
  RELIABILITY
  /VARIABLES= FJ03_12
FJ03_13
FJ03_14
FJ03_15
FJ03_16
FJ03_17
FJ03_18
FJ03_19
  /SCALE('ALL VARIABLES') ALL.
compute hi_jan = mean(FJ03_12,
FJ03_13,
FJ03_14,
FJ03_15,
FJ03_16,
FJ03_17,
FJ03_18,
FJ03_19).
*HI Sarah.
  RELIABILITY
  /VARIABLES= 
Fs03_12
Fs03_13
Fs03_14
Fs03_15
Fs03_16
Fs03_17
Fs03_18
Fs03_19
  /SCALE('ALL VARIABLES') ALL.
compute hi_sarah = mean(
Fs03_12,
Fs03_13,
Fs03_14,
Fs03_15,
Fs03_16,
Fs03_17,
Fs03_18,
Fs03_19).

*JK Jan.
  RELIABILITY
  /VARIABLES=  FJ03_20
FJ03_21
FJ03_22
FJ04_01
FJ04_02
FJ04_03
FJ04_04
FJ04_05
  /SCALE('ALL VARIABLES') ALL.
compute jk_jan = mean(FJ03_20,
FJ03_21,
FJ03_22,
FJ04_01,
FJ04_02,
FJ04_03,
FJ04_04,
FJ04_05).
*JK Sarah.
  RELIABILITY
  /VARIABLES=
Fs03_20
Fs03_21
Fs03_22
Fs04_01
Fs04_02
Fs04_03
Fs04_04
Fs04_05
  /SCALE('ALL VARIABLES') ALL.
compute jk_sarah = mean(Fs03_20,
Fs03_21,
Fs03_22,
Fs04_01,
Fs04_02,
Fs04_03,
Fs04_04,
Fs04_05).

*LM Jan.
  RELIABILITY
  /VARIABLES=  FJ04_06
FJ04_07
FJ04_08
FJ04_09
FJ04_10
FJ04_11
FJ04_12
FJ04_13
  /SCALE('ALL VARIABLES') ALL.
compute lm_jan = mean( FJ04_06,
FJ04_07,
FJ04_08,
FJ04_09,
FJ04_10,
FJ04_11,
FJ04_12,
FJ04_13).
*LM Sarah.
  RELIABILITY
  /VARIABLES= 
fs04_06
fs04_07
fs04_08
fs04_09
fs04_10
fs04_11
fs04_12
fs04_13
  /SCALE('ALL VARIABLES') ALL.
compute lm_sarah = mean(fs04_06,
fs04_07,
fs04_08,
fs04_09,
fs04_10,
fs04_11,
fs04_12,
fs04_13).

*NO Jan.
  RELIABILITY
  /VARIABLES=  FJ04_14
FJ04_15
FJ04_16
FJ04_17
FJ04_18
FJ04_19
FJ04_20
FJ04_21
  /SCALE('ALL VARIABLES') ALL.
compute no_jan = mean( FJ04_14,
FJ04_15,
FJ04_16,
FJ04_17,
FJ04_18,
FJ04_19,
FJ04_20,
FJ04_21).
*NO Sarah.
  RELIABILITY
  /VARIABLES= Fs04_14
fs04_15
fs04_16
fs04_17
fs04_18
fs04_19
fs04_20
fs04_21
  /SCALE('ALL VARIABLES') ALL.
compute no_sarah = mean( Fs04_14,
fs04_15,
fs04_16,
fs04_17,
fs04_18,
fs04_19,
fs04_20,
fs04_21).
EXECUTE.


*Method check / hypothesis test / data quality check: Order and Item effects.
* duty_sarah duty_jan
compute duty1
compute duty2.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_4") ) duty1 = duty_sarah.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_4") ) duty2 = duty_jan.
IF ( (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") or  (QUESTNNR = "FW_8") ) duty1 = duty_jan.
IF ( (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") or  (QUESTNNR = "FW_8") ) duty2 = duty_sarah.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_7") ) items = 1.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_8") ) items = 2.
freq items.

GLM duty1 duty2 BY items
  /WSFACTOR=duty 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=duty 
  /DESIGN=items.


*Hypothesis Test: Situation-Hypothesis.
GLM Dut_HSK Dut_NSK Soc_HSK Soc_NSK
  /WSFACTOR=Situationen 2 Polynomial Selbstkontrolle_Vignetten 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Situationen Selbstkontrolle_Vignetten Situationen*Selbstkontrolle_Vignetten.


T-TEST PAIRS=Dut_HSK Soc_HSK WITH Dut_NSK soc_NSK (PAIRED).


*Hypothesis Test: Liking-Hypothesis.
*das war nur 1 item: FJ04_22 bzw FS04_22, design: person liking ~ participant self-control × vignette self-control.
compute bscs = mean(ES01_01, ES01_02r, ES01_03r, ES01_04r, ES01_05r, ES01_06r, ES01_07r, ES01_08r, ES01_09, ES01_10r, ES01_11r, ES01_12, Es01_13).
des bscs.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) liking_hsc = FS04_22.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) liking_hsc= FJ04_22.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) liking_lsc= FJ04_22.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) liking_lsc= FS04_22.
exe.

GLM liking_hsc liking_lsc WITH bscs
  /WSFACTOR=Selbstkontrolle_vignetten 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT= DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /PLOT=PROFILE(Selbstkontrolle_vignetten)
  /WSDESIGN=Selbstkontrolle_vignetten 
  /DESIGN=bscs.

T-TEST PAIRS=liking_hsc WITH liking_lsc (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

compute liking_delta = liking_hsc - liking_lsc.
GRAPH
  /SCATTERPLOT(BIVAR)=bscs WITH liking_delta
  /MISSING=LISTWISE.
cor liking_delta with bscs.

*Hypothesis Test:  Sex-stereotype Hyopthesis: person liking ~ vignette sex × vignette self-control.
*hmlf = 1 --> high male low female; hmlf = 0 --> *high female low male.
*hmlf = 1: vignettes do not match stereotypes, hmlf = 0, vignettes do not match stereotypes.
compute hmlf = 0.
if ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) hmlf = 1. 
If ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) hmlf = 0. 
exe.


GLM liking_hsc liking_lsc BY hmlf
  /WSFACTOR=Selbstkontrolle_vignetten 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Selbstkontrolle_vignetten 
  /DESIGN=hmlf.


GLM liking_hsc liking_lsc
  /WSFACTOR=Selbstkontrolle_vignetten 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Selbstkontrolle_vignetten 
  /DESIGN=hmlf.

*Hypothesis Test: Halo-Effects-Hypothesis: rating intensity ~ adjective pole × vignette self-control .
*das waren 8x8 items, wobei jeweils 2 dimensionen entgegengesetzt waren.


*PA.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) pa_hsc = pa_sarah.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) pa_hsc = pa_jan.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) pa_lsc = pa_jan.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) pa_lsc = pa_sarah.

*BC.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) bc_hsc = bc_sarah.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) bc_hsc = bc_jan.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) bc_lsc = bc_jan.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) bc_lsc = bc_sarah.

*DE.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) de_hsc = de_sarah.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) de_hsc = de_jan.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) de_lsc = de_jan.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) de_lsc = de_sarah.

*FG.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) fg_hsc = fg_sarah.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) fg_hsc = fg_jan.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) fg_lsc = fg_jan.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) fg_lsc = fg_sarah.

*HI.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) hi_hsc = hi_sarah.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) hi_hsc = hi_jan.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) hi_lsc = hi_jan.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) hi_lsc = hi_sarah.

*JK.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) jk_hsc = jk_sarah.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) jk_hsc = jk_jan.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) jk_lsc = jk_jan.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) jk_lsc = jk_sarah.

*LM.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) lm_hsc = lm_sarah.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) lm_hsc = lm_jan.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) lm_lsc = lm_jan.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) lm_lsc = lm_sarah.

*NO.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) no_hsc = no_sarah.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) no_hsc = no_jan.
IF ( (QUESTNNR = "FW_1") or  (QUESTNNR = "FW_4") or  (QUESTNNR = "FW_5") or  (QUESTNNR = "FW_8") ) no_lsc = no_jan.
IF ( (QUESTNNR = "FW_2") or  (QUESTNNR = "FW_3") or  (QUESTNNR = "FW_6") or  (QUESTNNR = "FW_7") ) no_lsc = no_sarah.
exe.


cor pa_hsc pa_lsc with hi_hsc hi_lsc.
cor bc_hsc bc_lsc with jk_hsc jk_lsc.
cor de_hsc de_lsc with lm_hsc lm_lsc.
cor fg_hsc fg_lsc with no_hsc no_lsc.

GLM pa_hsc pa_lsc hi_hsc hi_lsc
  /WSFACTOR=pahi 2 Polynomial selfcontrol 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(selfcontrol*pahi)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=pahi selfcontrol pahi*selfcontrol.

GLM bc_hsc bc_lsc jk_hsc jk_lsc
  /WSFACTOR=bcjk 2 Polynomial selfcontrol 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(selfcontrol*bcjk)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=bcjk selfcontrol bcjk*selfcontrol.

GLM de_hsc de_lsc lm_hsc lm_lsc
  /WSFACTOR=delm 2 Polynomial selfcontrol 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(selfcontrol*delm)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=delm selfcontrol delm*selfcontrol.

GLM fg_hsc fg_lsc no_hsc no_lsc
  /WSFACTOR=fgno 2 Polynomial selfcontrol 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(selfcontrol*fgno)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=fgno selfcontrol fgno*selfcontrol.

** Easier approach: 8 t-Tests instead of 4 ANOVAs.
T-TEST PAIRS=pa_hsc bc_hsc de_hsc fg_hsc hi_hsc jk_hsc lm_hsc no_hsc WITH pa_lsc bc_lsc de_lsc 
    fg_lsc hi_lsc jk_lsc lm_lsc no_lsc (PAIRED)
  /CRITERIA=CI(0.99375)
  /MISSING=ANALYSIS.

compute pa_delta = pa_hsc-pa_lsc.
compute bc_delta = bc_hsc-bc_lsc.
compute de_delta = de_hsc-de_lsc.
compute fg_delta = fg_hsc-fg_lsc.
compute hi_delta = hi_hsc-hi_lsc.
compute jk_delta = jk_hsc-jk_lsc.
compute lm_delta = lm_hsc-lm_lsc.
compute no_delta = no_hsc-no_lsc.



***Exploratory: Situation vs. similarity.
GLM Dut_HSK Dut_NSK Soc_HSK soc_NSK WITH bscs
  /WSFACTOR=situations 2 Polynomial sc_vignette 2 Polynomial 
  /METHOD=SSTYPE(3)
  /SAVE=PRED
  /PLOT=PROFILE(situations*sc_vignette)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=situations sc_vignette situations*sc_vignette
  /DESIGN=bscs.
